Modernise compiler flags
[gpx-import.git] / BUILD
diff --git a/BUILD b/BUILD
index 71c825a..35640c2 100644 (file)
--- a/BUILD
+++ b/BUILD
@@ -2,11 +2,22 @@ To build gpx-import:
 
 You will need a C compiler, and the following Debian/Ubuntu packages:
   zlib1g-dev libbz2-dev libarchive-dev libexpat1-dev libgd2-noxpm-dev
+  libmemcached-dev
 
-then run
-  make -C src
+Then run:
 
-To run gpx-import, ./settings.sh src/gpx-import
+    make DB=mysql -C src
+
+or:
+
+    make DB=postgres -C src
+
+depending on whether you're using a mysql or postgres database.
+
+Then edit settings.sh to suit your environment, and then run
+gpx-import:
+
+    ./settings.sh start src/gpx-import
 
 Enjoy,